Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.alteration
Class ColumnDefaultValueChange

    java.lang.Object
      org.apache.ddlutils.alteration.TableChangeImplBase
          org.apache.ddlutils.alteration.ColumnDefaultValueChange

All Implemented Interfaces:
  ColumnChange, ModelChange, TableChange

    public class ColumnDefaultValueChange

extends TableChangeImplBase
implements ColumnChange

Represents the change of the default value of a column.

Version:
  $Revision: $

Constructor Summary
`ColumnDefaultValueChange(Table table, Column column, String newDefaultValue)` Creates a new change object.

Method Summary
`void` | `apply(Database database, boolean caseSensitive)` Applies this change to the given database.
`Column` | `getChangedColumn()` Returns the column.
`String` | `getNewDefaultValue()` Returns the new default value.

Methods inherited from class org.apache.ddlutils.alteration.TableChangeImplBase
`getChangedTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.alteration.TableChange
`getChangedTable`

Constructor Detail

### ColumnDefaultValueChange

    public ColumnDefaultValueChange(Table table,
                                    Column column,
                                    String newDefaultValue)

  Creates a new change object.

  Parameters:
    `table` - The table of the column
    `column` - The column
    `newDefaultValue` - The new default value

Method Detail

### getChangedColumn

    public Column getChangedColumn()

  Returns the column.

  Specified by:
    `getChangedColumn` in interface `ColumnChange`
  Returns:
    The column

### getNewDefaultValue

    public String getNewDefaultValue()

  Returns the new default value.

  Returns:
    The new default value

### apply

    public void apply(Database database,
                      boolean caseSensitive)

  Applies this change to the given database.

  Specified by:
    `apply` in interface `ModelChange`
  Parameters:
    `database` - The database
    `caseSensitive` - Whether the case of names matters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.